> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create link

> Create a link in the workspace



## OpenAPI

````yaml POST /v1/link
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/link:
    post:
      tags:
        - Link
      description: Create a link in the workspace
      operationId: LinkController_createLink
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLinkBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    CreateLinkBody:
      type: object
      properties:
        category:
          description: |-
            Integration categories you want this link to support.
            Example: Ticketing, Documentation etc
          type: array
          items:
            type: object
        integrationDefinitionId:
          type: string
          description: >-
            Integration definition Id when you want to restrict the link to
            specific integration
        expiresIn:
          type: number
          description: Link expires after the specified seconds
        linkName:
          type: string
          description: |-
            Name of the link. Majorly used to easily search for this in UI
            Example: You can use customer name: Poozle
        workspaceId:
          type: string
          description: >-
            Unique identifier used to identify all the other resources.

            You can find this in the UI after the host and
            /workspaces/{workspaceId}
          example: 0a58f56e-3f59-4f4e-a8e1-a9e47aae5c3c
      required:
        - category
        - expiresIn
        - linkName
        - workspaceId
    Link:
      type: object
      properties:
        linkId:
          type: string
          description: A unique identifier for Link
        linkName:
          type: string
          description: |-
            Name of the link. Majorly used to easily search for this in UI
            Example: You can use customer name: Poozle
        canExpire:
          type: boolean
          description: Boolean to tell if the link can expire
        preferOAuth:
          type: boolean
          description: |-
            Boolean to tell if only OAuth should be accepted
            as authentication process
        expiresIn:
          type: number
          description: |-
            If canExpire is set to true. This indicates
            seconds in which the link will expire.
        category:
          description: |-
            Category integration belongs to
            Example: Ticketing, Documentation etc
          type: array
          items:
            type: object
        workspaceId:
          type: string
          description: Unique identifier for Workspace.
        createdAt:
          format: date-time
          type: string
          description: When the Link was created.
        updatedAt:
          format: date-time
          type: string
          description: When the Link was updated last.
        IntegrationAccount:
          description: Integration Accounts
          type: array
          items:
            $ref: '#/components/schemas/IntegrationAccount'
      required:
        - linkId
        - linkName
        - canExpire
        - preferOAuth
        - expiresIn
        - category
        - workspaceId
        - createdAt
        - updatedAt
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string
    IntegrationAccount:
      type: object
      properties:
        integrationAccountId:
          type: string
          description: A unique identifier for Integration Account
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        integrationConfiguration:
          type: object
          nullable: true
          description: Configuration used to configure the integration
        authType:
          type: string
          description: |-
            Type of authentication used to create this account
            Exmaple: OAuth2, Api Key etc
        workspaceId:
          type: string
          description: A unique identifier for Workspace
        integrationAccountName:
          type: string
          description: |-
            This is used for User experience. You can pass a name
            to easily identify the account in UI
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
        linkId:
          type: string
          nullable: true
          description: This will be linkId of the link used to created this account
      required:
        - integrationAccountId
        - integrationDefinitionId
        - integrationConfiguration
        - authType
        - workspaceId
        - integrationAccountName
        - deleted
        - createdAt
        - updatedAt

````